[arch-commits] Commit in root-tail/trunk (PKGBUILD)

Eric Bélanger eric at archlinux.org
Fri Apr 17 18:46:25 EDT 2009


    Date: Friday, April 17, 2009 @ 18:46:25
  Author: eric
Revision: 35870

upgpkg: root-tail 1.2-3
    Added arch field, Added license, FHS man pages, PKGBUILD clean-up

Modified:
  root-tail/trunk/PKGBUILD

----------+
 PKGBUILD |   17 +++++++----------
 1 file changed, 7 insertions(+), 10 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-17 22:44:14 UTC (rev 35869)
+++ PKGBUILD	2009-04-17 22:46:25 UTC (rev 35870)
@@ -1,25 +1,22 @@
 # $Id$
-# Maintainer: eric <eric at archlinux.org>
 # Contributor:  John Sowiak <john at archlinux.org>
 
 pkgname=root-tail
 pkgver=1.2
-pkgrel=2
+pkgrel=3
 pkgdesc="Displays logfiles in different colours on your root-window"
+arch=('i686' 'x86_64')
 url="http://www.goof.com/pcg/marc/root-tail.html"
+license=('GPL')
 depends=('libxext')
 makedepends=('imake')
 source=(http://www.goof.com/pcg/marc/data/$pkgname-$pkgver.tar.gz)
 md5sums=('5a4b3c4c7ab3bed1f4575e9688aac5de')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  /usr/bin/xmkmf -a
-  /usr/bin/make || return 1
-  /bin/sed -i "s|BINDIR = /usr/X11R6/bin|BINDIR = /usr/bin|" Makefile
-  /bin/sed -i "s|MANPATH = /usr/X11R6/man|MANPATH = /usr/man|" Makefile
-  /usr/bin/make DESTDIR=$startdir/pkg install || return 1
-  /usr/bin/make DESTDIR=$startdir/pkg install.man || return 1
-  /bin/rm $startdir/pkg/usr/X11R6/ -rfv
+  cd $srcdir/$pkgname-$pkgver
+  xmkmf -a || return 1
+  make || return 1
+  make DESTDIR=$pkgdir MANPATH=/usr/share/man install install.man || return 1
 }
 # vim: ts=2 sw=2 et ft=sh



More information about the arch-commits mailing list